Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.teleal.cling.support.model
Enum Protocol

    java.lang.Object
      java.lang.Enum<Protocol>
          org.teleal.cling.support.model.Protocol

All Implemented Interfaces:
  Serializable, Comparable<Protocol>

    public enum Protocol

extends Enum<Protocol>

Enum Constant Summary
`ALL`
`HTTP_GET`
`IEC61883`
`INTERNAL`
`RTSP_RTP_UDP`

Method Summary
`String` | `toString()`
`static Protocol` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Protocol` | `valueOrNullOf(String s)`
`static Protocol[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ALL

    public static final Protocol ALL

### HTTP_GET

    public static final Protocol HTTP_GET

### RTSP_RTP_UDP

    public static final Protocol RTSP_RTP_UDP

### INTERNAL

    public static final Protocol INTERNAL

### IEC61883

    public static final Protocol IEC61883

Method Detail

### values

    public static Protocol[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Protocol c : Protocol.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Protocol valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<Protocol>`

### valueOrNullOf

    public static Protocol valueOrNullOf(String s)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.